# TerrainReset

  * This mod works with both old-style edits and those performed after the 0.150.3 terrain modification update.
  * This is a re-upload of aedenthorn's Terrain Reset from NexusMods with the fixes for version 0.217.14
  * To reset terrain edits, follow one of the three methods below.

### Hoe

  * To reset terrain using the hoe, use the level terrain tool and hold down the modifier key (default left alt) when applying the effect.
  * You can change the hoe radius in the config file (default is 0, which makes it use the tool's actual radius).

### console

  * Open the in-game console using F5.
  * The console command syntax is: '<command> <radius>'
  * So, using the default command: 'resetterrain 150' resets all edits within 150 meters of the local player.

### Hotkey

  * By default there is no hotkey set.
  * See https://docs.unity3d.com/Manual/class-InputManager.html for key names.
  * You can change the hotkey radius in the config file (default is 150m).

### Config

  * A config file BepInEx/config/aedenthorn.TerrainReset.cfg is created after running the game once with this mod.
  * You can adjust the config values by editing this file using a text editor or in-game using the Config Manager﻿: https://www.nexusmods.com/valheim/mods/740
  * To reload the config from the config file, type terrainreset reset into the game's console (F5).

## Technical

 * To install manually, place the .dll file in the BepInEx/plugins folder. You will need BepInEx.
 * Code is at https://github.com/aedenthorn/ValheimMods.
 * If you want to complain or ask for help or help me test my mods, you can visit my Discord server﻿: https://discord.gg/bs6zHuj

### Thunderstore (manual)

  * Go to Settings > Import local mod > Select `AedenthornModding-TerrainReset-0.8.0.zip`.
  * Click "OK/Import local mod" on the pop-up for information.


## Changelog

### 0.6.0
 * Fix for 0.217.14
### 0.8.0
 * Fix for 0.217.14
### 0.7.0
 * Console fix for new update
### 0.6.0
 * Added option to use tool's actual radius
### 0.5.1
 * More accurate heightmap list
### 0.5.0
 * Better performance
### 0.4.0
 * Added modifier key to allow resetting with hoe
### 0.3.2
 * Fixed new edit resets not saving
### 0.3.1
 * Fixed hotkey command
